{
	"type": "portals:ore_caves",
	"generator": {
		"type": "minecraft:noise",
		"biome_source": {
			"type": "minecraft:multi_noise",
			"biomes": [
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": -0.75,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": -0.45,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": -0.15,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_deep",
					"parameters": {
						"temperature": 0.15,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.45,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.75,
						"humidity": -0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": -0.75,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": -0.45,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_deep",
					"parameters": {
						"temperature": -0.15,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.15,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.45,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.75,
						"humidity": -0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_deep",
					"parameters": {
						"temperature": -0.75,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": -0.45,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": -0.15,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": 0.15,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.45,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.75,
						"humidity": -0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": -0.75,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": -0.45,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_deep",
					"parameters": {
						"temperature": -0.15,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.15,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": 0.45,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.75,
						"humidity": 0.15,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": -0.75,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": -0.45,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": -0.15,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.15,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.45,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": 0.75,
						"humidity": 0.45,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": -0.75,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_deep",
					"parameters": {
						"temperature": -0.45,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": -0.15,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves",
					"parameters": {
						"temperature": 0.15,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_lush",
					"parameters": {
						"temperature": 0.45,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				},
				{
					"biome": "portals:ore_caves_dripstone",
					"parameters": {
						"temperature": 0.75,
						"humidity": 0.75,
						"continentalness": 0.0,
						"erosion": 0.0,
						"depth": 0.0,
						"weirdness": 0.0,
						"offset": 0.0
					}
				}
			]
		},
		"settings": "portals:ore_caves"
	}
}
